
QGIS Application - Bug report #5861

Vector menu and Sextante -> ftools behaving inconsistently 

2012-06-25 06:34 AM - ramon .

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15325

Description

Following on from Giovanni's suggestion I'm filing against both Sextante and F-Tools.

In QGIS the two ways of reaching the Geoprocessing -> Intersection tool are giving very different results. Details are below, but since

these should give the same result, something is clearly wrong.

Method:

Using the following files:

http://www.mappinghacks.com/data/TM_WORLD_BORDERS_SIMPL-0.2.zip

and 

http://lists.osgeo.org/pipermail/qgis-user/attachments/20120622/8b8559cf/attachment.zip

(Note: second file has no projection details, and needs to be set to WGS84)

Using the Vector -> Geoprocessing Tools -> Intersection (point in first field, polygon in second)

Gives an invalid geometry warning, and an empty shape file. (attached VectorIntersction.zip)

Using Sextante -> Ftools -L Geoprocessing Tools -> Intersection (also point in first field, polygon in second)

Gives no warinings and a shape file which is essentially a one to many join. (attached SextanteIntersection.zip)

Associated revisions

Revision e27ce7c7 - 2012-06-25 04:16 PM - Salvatore Larosa

fix #5861

Revision 91862c34 - 2012-06-26 05:39 PM - Alexander Bruy

Merge pull request #188 from slarosa/master

Fix #5861

History

#1 - 2012-06-26 08:39 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"91862c3432be552349789316067f89204f4e1eed".
http://www.mappinghacks.com/data/TM_WORLD_BORDERS_SIMPL-0.2.zip
http://lists.osgeo.org/pipermail/qgis-user/attachments/20120622/8b8559cf/attachment.zip


#2 - 2013-02-20 03:07 PM - Pedro Venâncio

- Status changed from Closed to Reopened

I'm with this same problem in QGIS 1.8 on Windows 7.

I've tested now with the master version compiled in the last weekend, on Xubuntu 12.04, and the result is similar, with the exception of the processing on

Vector -> Geoprocessing Tools -> Intersect, that is not even executed. I leave here a screencast of this test with the master version:

https://dl.dropbox.com/u/5772257/qgis/point_polygon_intersection.ogv

Anyone confirm?

#3 - 2013-04-12 10:54 PM - maning sambale

I confirm that Vector(fTools) and Sextante shows different results:

Some example are:

    -  #4567-32

    -  #7360-4

#4 - 2013-07-13 04:11 AM - Giovanni Manghi

- Operating System deleted (macos, win7, winXP)

- Status changed from Reopened to Feedback

what is the status of this ticket in the latest master revision?

#5 - 2013-09-15 07:09 AM - Alexander Bruy

Any feedback?

#6 - 2013-09-22 03:44 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing for lack of feedback, reopen if necessary.

#7 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

SextanteIntersection.zip 1.89 KB 2012-06-25 ramon .

VectorIntersection.zip 849 Bytes 2012-06-25 ramon .
